> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Eject

> Ejects participants from a room



## OpenAPI

````yaml POST /rooms/{room_name}/eject
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}/eject:
    post:
      tags:
        - rooms
      summary: rooms/:name/eject
      description: Ejects participants from a room
      operationId: Eject
      parameters:
        - name: room_name
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of participant ids (max 100) to eject from the existing
                    meeting session.
                user_ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of user_ids (max 100) to eject from the existing
                    meeting session.
                ban:
                  type: boolean
                  default: false
                  description: >-
                    If true, participants are prevented from (re)joining with
                    the given user_ids.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  ejectedIds:
                    type: array
                    items:
                      type: string
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````